%global momorel 8
%global artsver 1.5.9
%global artsrel 3m
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global kdebaserel 8m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: Mind-mapping tool for KDE
Name: kdissert
Version: 1.0.7
Release: %{momorel}m%{?dist}
License: GPL
URL: http://freehackers.org/~tnagy/kdissert.html
Group: Applications/Productivity
Source0: http://freehackers.org/~tnagy/%{name}/%{name}-%{version}.tar.bz2 
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
Patch1: kdissert-1.0.7-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdebase3 >= %{kdever}-%{kdebaserel}
BuildPreReq: python
BuildPreReq: gettext
BuildPreReq: desktop-file-utils

%description
Kdissert is a mindmapping-like tool to help students to produce complicated 
documents very quickly and efficiently : presentations, dissertations, 
thesis, reports, etc. The concept is innovative : mindmaps produced using 
kdissert are processed to output near-ready-to-use documents. While 
targetted mostly at students, kdissert can also help teachers, decision 
makers, engineers and businessmen.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%patch1 -p1 -b .gcc43~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./waf configure \
        --nocache \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--qtincludes=%{qtdir}/include \
	--qtlibs=%{qtdir}/lib \
        --kdeincludes=%{_includedir}/kde \
        --kdelibs=%{_libdir}/kde3 \
	--want-rpath=0

./waf build %{?_smp_mflags} -v

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
./waf install --destdir=%{buildroot}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category X-KDE-More \
  --remove-category Utility \
  --add-category Office \
  --remove-key DocPath \
  %{buildroot}%{_datadir}/applications/kde/kdissert.desktop

# clean up
rm -f %{buildroot}%{_datadir}/applnk/Utilities/kdissert.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL README ROADMAP
%{_bindir}/kdissert
%{_libdir}/kde3/libkdiss*.la
%{_libdir}/kde3/libkdiss*.so
%{_datadir}/applications/kde/kdissert.desktop
%{_datadir}/apps/kdissert
%{_datadir}/apps/kdissertpart
%{_datadir}/config.kcfg/kdissert.kcfg
%{_datadir}/icons/*/*/*/kdissert*.png
%{_datadir}/locale/*/LC_MESSAGES/kdissert.mo
%{_datadir}/mimelnk/application/x-kdissert.desktop
%{_datadir}/services/kdissertpart.desktop

%changelog
* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.7-8m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.7-7m)
- rebuild against gcc43

* Mon Feb 25 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.7-6m)
- add patch for gcc43, generated by gen43patch(v1)

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.7-5m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.7-4m)
- %%NoSource -> NoSource

* Sun Jun 24 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.7-3m)
- disable ~/.wafcache

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-2m)
- update desktop.patch (revise GenericName[ja])

* Mon Mar 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-1m)
- initial package for Momonga Linux
